zookeeper-3.4.6

- Main Page
- Data Structures
- Files

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- d
- i
- s
- v
- w
- z

Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:

### - a -

- acl_completion_t : zookeeper.h

### - d -

- data_completion_t : zookeeper.h

### - i -

- is_unrecoverable() : zookeeper.h

### - s -

- stat_completion_t : zookeeper.h
- string_completion_t : zookeeper.h
- strings_completion_t : zookeeper.h
- strings_stat_completion_t : zookeeper.h

### - v -

- void_completion_t : zookeeper.h

### - w -

- watcher_fn : zookeeper.h

### - z -

- ZAPIERROR : zookeeper.h
- ZAUTHFAILED : zookeeper.h
- ZBADARGUMENTS : zookeeper.h
- ZBADVERSION : zookeeper.h
- ZCLOSING : zookeeper.h
- ZCONNECTIONLOSS : zookeeper.h
- ZDATAINCONSISTENCY : zookeeper.h
- zerror() : zookeeper.h
- zhandle_t : zookeeper.h
- ZINVALIDACL : zookeeper.h
- ZINVALIDCALLBACK : zookeeper.h
- ZINVALIDSTATE : zookeeper.h
- ZMARSHALLINGERROR : zookeeper.h
- ZNOAUTH : zookeeper.h
- ZNOCHILDRENFOREPHEMERALS : zookeeper.h
- ZNODEEXISTS : zookeeper.h
- ZNONODE : zookeeper.h
- ZNOTEMPTY : zookeeper.h
- ZNOTHING : zookeeper.h
- ZOK : zookeeper.h
- zoo_acreate() : zookeeper.h
- zoo_add_auth() : zookeeper.h
- zoo_adelete() : zookeeper.h
- zoo_aexists() : zookeeper.h
- zoo_aget() : zookeeper.h
- zoo_aget_acl() : zookeeper.h
- zoo_aget_children() : zookeeper.h
- zoo_aget_children2() : zookeeper.h
- zoo_amulti() : zookeeper.h
- ZOO_ANYONE_ID_UNSAFE : zookeeper.h
- zoo_aset() : zookeeper.h
- zoo_aset_acl() : zookeeper.h
- zoo_async() : zookeeper.h
- ZOO_AUTH_IDS : zookeeper.h
- zoo_awexists() : zookeeper.h
- zoo_awget() : zookeeper.h
- zoo_awget_children() : zookeeper.h
- zoo_awget_children2() : zookeeper.h
- ZOO_CHANGED_EVENT : zookeeper.h
- zoo_check_op_init() : zookeeper.h
- ZOO_CHILD_EVENT : zookeeper.h
- zoo_client_id() : zookeeper.h
- zoo_create() : zookeeper.h
- zoo_create_op_init() : zookeeper.h
- ZOO_CREATED_EVENT : zookeeper.h
- ZOO_CREATOR_ALL_ACL : zookeeper.h
- zoo_delete() : zookeeper.h
- zoo_delete_op_init() : zookeeper.h
- ZOO_DELETED_EVENT : zookeeper.h
- zoo_deterministic_conn_order() : zookeeper.h
- ZOO_ERRORS : zookeeper.h
- zoo_exists() : zookeeper.h
- zoo_get() : zookeeper.h
- zoo_get_acl() : zookeeper.h
- zoo_get_children() : zookeeper.h
- zoo_get_children2() : zookeeper.h
- zoo_get_context() : zookeeper.h
- zoo_multi() : zookeeper.h
- ZOO_NOTWATCHING_EVENT : zookeeper.h
- zoo_op_result_t : zookeeper.h
- zoo_op_t : zookeeper.h
- ZOO_OPEN_ACL_UNSAFE : zookeeper.h
- ZOO_READ_ACL_UNSAFE : zookeeper.h
- zoo_recv_timeout() : zookeeper.h
- ZOO_SESSION_EVENT : zookeeper.h
- zoo_set() : zookeeper.h
- zoo_set2() : zookeeper.h
- zoo_set_acl() : zookeeper.h
- zoo_set_context() : zookeeper.h
- zoo_set_debug_level() : zookeeper.h
- zoo_set_log_stream() : zookeeper.h
- zoo_set_op_init() : zookeeper.h
- zoo_set_watcher() : zookeeper.h
- zoo_state() : zookeeper.h
- zoo_wexists() : zookeeper.h
- zoo_wget() : zookeeper.h
- zoo_wget_children() : zookeeper.h
- zoo_wget_children2() : zookeeper.h
- zookeeper_close() : zookeeper.h
- zookeeper_get_connected_host() : zookeeper.h
- zookeeper_init() : zookeeper.h
- zookeeper_interest() : zookeeper.h
- zookeeper_process() : zookeeper.h
- ZOPERATIONTIMEOUT : zookeeper.h
- ZRUNTIMEINCONSISTENCY : zookeeper.h
- ZSESSIONEXPIRED : zookeeper.h
- ZSESSIONMOVED : zookeeper.h
- ZSYSTEMERROR : zookeeper.h
- ZUNIMPLEMENTED : zookeeper.h